RDKit: RDKit::MolStandardize::CleanupParameters Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::MolStandardize::CleanupParameters Struct Reference

`#include <MolStandardize.h>`

## Public Member Functions
| CleanupParameters ()

## Public Attributes
std::string | rdbase = rdbase_cstr != nullptr ? rdbase_cstr : ""
std::string | normalizations
std::string | acidbaseFile
std::string | fragmentFile
std::string | tautomerTransforms
int | maxRestarts {200}
bool | preferOrganic {false}
bool | doCanonical {true}
int | maxTautomers {1000}
int | maxTransforms {1000}
bool | tautomerRemoveSp3Stereo
bool | tautomerRemoveBondStereo
bool | tautomerRemoveIsotopicHs
bool | tautomerReassignStereo
bool | largestFragmentChooserUseAtomCount
bool | largestFragmentChooserCountHeavyAtomsOnly
std::vector< std::pair< std::string, std::string > > | normalizationData
std::vector< std::pair< std::string, std::string > > | fragmentData
std::vector< std::tuple< std::string, std::string, std::string > > | acidbaseData
std::vector< std::tuple< std::string, std::string, std::string, std::string > > | tautomerTransformData

## Detailed Description

The CleanupParameters structure defines the default parameters for the cleanup process and also allows the user to customize the process by changing the parameters.

Notes:

- To customize the parameters, the structure must be initialized first. (Another on the TODO list)
  - For this project, not all the parameters have been revealed. (TODO)

Definition at line 41 of file MolStandardize.h.

## Constructor & Destructor Documentation

## ◆ CleanupParameters()

RDKit::MolStandardize::CleanupParameters::CleanupParameters | ( |  | ) |
| inline

Definition at line 85 of file MolStandardize.h.

## Member Data Documentation

## ◆ acidbaseData

std::vector<std::tuple<std::string, std::string, std::string> > RDKit::MolStandardize::CleanupParameters::acidbaseData

Definition at line 82 of file MolStandardize.h.

Referenced by RDKit::MolStandardize::reionizerFromParams().

## ◆ acidbaseFile

std::string RDKit::MolStandardize::CleanupParameters::acidbaseFile

Definition at line 49 of file MolStandardize.h.

Referenced by RDKit::MolStandardize::reionizerFromParams().

## ◆ doCanonical

bool RDKit::MolStandardize::CleanupParameters::doCanonical {true}

Whether to apply normalizations in a canonical order

Definition at line 56 of file MolStandardize.h.

## ◆ fragmentData

std::vector<std::pair<std::string, std::string> > RDKit::MolStandardize::CleanupParameters::fragmentData

Definition at line 81 of file MolStandardize.h.

Referenced by RDKit::MolStandardize::fragmentRemoverFromParams().

## ◆ fragmentFile

std::string RDKit::MolStandardize::CleanupParameters::fragmentFile

Definition at line 50 of file MolStandardize.h.

Referenced by RDKit::MolStandardize::fragmentRemoverFromParams().

## ◆ largestFragmentChooserCountHeavyAtomsOnly

bool RDKit::MolStandardize::CleanupParameters::largestFragmentChooserCountHeavyAtomsOnly

Initial value:
{
false}

Whether LargestFragmentChooser should only count heavy atoms (defaults to false)

Definition at line 77 of file MolStandardize.h.

## ◆ largestFragmentChooserUseAtomCount

bool RDKit::MolStandardize::CleanupParameters::largestFragmentChooserUseAtomCount

Initial value:
{
true}

Whether LargestFragmentChooser should use atom count as main criterion before MW (defaults to true)

Definition at line 74 of file MolStandardize.h.

## ◆ maxRestarts

int RDKit::MolStandardize::CleanupParameters::maxRestarts {200}

The maximum number of times to attempt to apply the series of normalizations (default 200).

Definition at line 52 of file MolStandardize.h.

Referenced by RDKit::MolStandardize::normalizerFromParams().

## ◆ maxTautomers

int RDKit::MolStandardize::CleanupParameters::maxTautomers {1000}

The maximum number of tautomers to enumerate (default 1000).

Definition at line 58 of file MolStandardize.h.

## ◆ maxTransforms

int RDKit::MolStandardize::CleanupParameters::maxTransforms {1000}

The maximum number of tautomer transformations to apply (default 1000).

Definition at line 60 of file MolStandardize.h.

## ◆ normalizationData

std::vector<std::pair<std::string, std::string> > RDKit::MolStandardize::CleanupParameters::normalizationData

Definition at line 80 of file MolStandardize.h.

Referenced by RDKit::MolStandardize::normalizerFromParams().

## ◆ normalizations

std::string RDKit::MolStandardize::CleanupParameters::normalizations

Definition at line 48 of file MolStandardize.h.

Referenced by RDKit::MolStandardize::normalizerFromParams().

## ◆ preferOrganic

bool RDKit::MolStandardize::CleanupParameters::preferOrganic {false}

Whether to prioritize organic fragments when choosing fragment parent (default False).

Definition at line 54 of file MolStandardize.h.

## ◆ rdbase

std::string RDKit::MolStandardize::CleanupParameters::rdbase = rdbase_cstr != nullptr ? rdbase_cstr : ""

Definition at line 47 of file MolStandardize.h.

## ◆ tautomerReassignStereo

bool RDKit::MolStandardize::CleanupParameters::tautomerReassignStereo

Initial value:
{
true}

Whether enumerate() should call assignStereochemistry on all generated tautomers (defaults to true)

Definition at line 71 of file MolStandardize.h.

## ◆ tautomerRemoveBondStereo

bool RDKit::MolStandardize::CleanupParameters::tautomerRemoveBondStereo

Initial value:
{
true}

Whether to remove stereochemistry from double bonds involved in tautomerism (defaults to true)

Definition at line 65 of file MolStandardize.h.

## ◆ tautomerRemoveIsotopicHs

bool RDKit::MolStandardize::CleanupParameters::tautomerRemoveIsotopicHs

Initial value:
{
true}

Whether to remove isotopic Hs from centers involved in tautomerism (defaults to true)

Definition at line 68 of file MolStandardize.h.

## ◆ tautomerRemoveSp3Stereo

bool RDKit::MolStandardize::CleanupParameters::tautomerRemoveSp3Stereo

Initial value:
{
true}

Whether to remove stereochemistry from sp3 centers involved in tautomerism (defaults to true)

Definition at line 62 of file MolStandardize.h.

## ◆ tautomerTransformData

std::vector<std::tuple<std::string, std::string, std::string, std::string> > RDKit::MolStandardize::CleanupParameters::tautomerTransformData

Definition at line 84 of file MolStandardize.h.

## ◆ tautomerTransforms

std::string RDKit::MolStandardize::CleanupParameters::tautomerTransforms

Definition at line 51 of file MolStandardize.h.

The documentation for this struct was generated from the following file:

- MolStandardize.h